function Perl_Config_Party_Target_Display()
	Perl_Config_Hide_All();
	if (Perl_Party_Target_Script_Frame) then
		Perl_Config_Party_Target_Frame:Show();
		Perl_Config_Party_Target_Set_Values();
	else
		Perl_Config_Party_Target_Frame:Hide();
		Perl_Config_NotInstalled_Frame:Show();
	end
end

function Perl_Config_Party_Target_Set_Values()
	local vartable = Perl_Party_Target_GetVars();

	if (vartable["locked"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton1:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton1:SetChecked(false);
	end

	if (vartable["hidepowerbars"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton4:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton4:SetChecked(false);
	end

	if (vartable["classcolorednames"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton5:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton5:SetChecked(false);
	end

	if (vartable["enabled"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton6:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton6:SetChecked(false);
	end

	if (vartable["partyhiddeninraid"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton7:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton7:SetChecked(false);
	end

	if (vartable["enabledfocus"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton8:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton8:SetChecked(false);
	end

	if (vartable["focushiddeninraid"] == 1) then
		Perl_Config_Party_Target_Frame_CheckButton9:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton9:SetChecked(false);
	end

	Perl_Config_Party_Target_Frame_Slider1Low:SetText(PERL_LOCALIZED_CONFIG_SMALL);
	Perl_Config_Party_Target_Frame_Slider1High:SetText(PERL_LOCALIZED_CONFIG_BIG);
	Perl_Config_Party_Target_Frame_Slider1:SetValue(floor(vartable["scale"]*100+0.5));

	if (floor(vartable["scale"]*100+0.5) == floor(UIParent:GetScale()*100+0.5)) then
		Perl_Config_Party_Target_Frame_CheckButton2:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton2:SetChecked(false);
	end

	Perl_Config_Party_Target_Frame_Slider2Low:SetText("0");
	Perl_Config_Party_Target_Frame_Slider2High:SetText("100");
	Perl_Config_Party_Target_Frame_Slider2:SetValue(vartable["transparency"]*100);

	Perl_Config_Party_Target_Frame_Slider3Low:SetText(PERL_LOCALIZED_CONFIG_SMALL);
	Perl_Config_Party_Target_Frame_Slider3High:SetText(PERL_LOCALIZED_CONFIG_BIG);
	Perl_Config_Party_Target_Frame_Slider3:SetValue(floor(vartable["focusscale"]*100+0.5));

	if (floor(vartable["focusscale"]*100+0.5) == floor(UIParent:GetScale()*100+0.5)) then
		Perl_Config_Party_Target_Frame_CheckButton10:SetChecked(true);
	else
		Perl_Config_Party_Target_Frame_CheckButton10:SetChecked(false);
	end
end

function Perl_Config_Party_Target_Party_Hidden_In_Raid_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton7:GetChecked() == true) then
		Perl_Party_Target_Set_Party_Hidden_In_Raid(1);
	else
		Perl_Party_Target_Set_Party_Hidden_In_Raid(0);
	end
end

function Perl_Config_Party_Target_Focus_Hidden_In_Raid_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton9:GetChecked() == true) then
		Perl_Party_Target_Set_Focus_Hidden_In_Raid(1);
	else
		Perl_Party_Target_Set_Focus_Hidden_In_Raid(0);
	end
end

function Perl_Config_Party_Target_Enabled_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton6:GetChecked() == true) then
		Perl_Party_Target_Set_Enabled(1);
	else
		Perl_Party_Target_Set_Enabled(0);
	end
end

function Perl_Config_Party_Target_Hide_Power_Bars_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton4:GetChecked() == true) then
		Perl_Party_Target_Set_Hide_Power_Bars(1);
	else
		Perl_Party_Target_Set_Hide_Power_Bars(0);
	end
end

function Perl_Config_Party_Target_Class_Colored_Names_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton5:GetChecked() == true) then
		Perl_Party_Target_Set_Class_Colored_Names(1);
	else
		Perl_Party_Target_Set_Class_Colored_Names(0);
	end
end

function Perl_Config_Party_Target_Lock_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton1:GetChecked() == true) then
		Perl_Party_Target_Set_Lock(1);
	else
		Perl_Party_Target_Set_Lock(0);
	end
end

function Perl_Config_Party_Target_Enabled_Focus_Update()
	if (Perl_Config_Party_Target_Frame_CheckButton8:GetChecked() == true) then
		Perl_Party_Target_Set_Enabled_Focus(1);
	else
		Perl_Party_Target_Set_Enabled_Focus(0);
	end
end

function Perl_Config_Party_Target_Set_Scale(value)
	if (Perl_Party_Target_Script_Frame) then	-- this check is to prevent errors if you aren't using Party_Target
		if (value == nil) then
			value = floor(UIParent:GetScale()*100+0.5);
			Perl_Config_Party_Target_Frame_Slider1Text:SetText(value);
			Perl_Config_Party_Target_Frame_Slider1:SetValue(value);
		end
		Perl_Party_Target_Set_Scale(value);

		vartable = Perl_Party_Target_GetVars();
		if (floor(vartable["scale"]*100+0.5) == floor(UIParent:GetScale()*100+0.5)) then
			Perl_Config_Party_Target_Frame_CheckButton2:SetChecked(true);
		else
			Perl_Config_Party_Target_Frame_CheckButton2:SetChecked(false);
		end
	end
end

function Perl_Config_Party_Target_Focus_Set_Scale(value)
	if (Perl_Party_Target_Script_Frame) then	-- this check is to prevent errors if you aren't using Party_Target
		if (value == nil) then
			value = floor(UIParent:GetScale()*100+0.5);
			Perl_Config_Party_Target_Frame_Slider3Text:SetText(value);
			Perl_Config_Party_Target_Frame_Slider3:SetValue(value);
		end
		Perl_Party_Target_Focus_Set_Scale(value);

		vartable = Perl_Party_Target_GetVars();
		if (floor(vartable["focusscale"]*100+0.5) == floor(UIParent:GetScale()*100+0.5)) then
			Perl_Config_Party_Target_Frame_CheckButton10:SetChecked(true);
		else
			Perl_Config_Party_Target_Frame_CheckButton10:SetChecked(false);
		end
	end
end

function Perl_Config_Party_Target_Set_Transparency(value)
	if (Perl_Party_Target_Script_Frame) then	-- this check is to prevent errors if you aren't using Party_Target
		Perl_Party_Target_Set_Transparency(value);
	end
end
